# $Revision: 1.9 $, $Date: 2012/05/12 20:20:16 $
Summary:	A full (and much more) replacement for sqlplus
Summary(pl.UTF-8):	Pełny (a nawet lepszy) zamiennik sqlplus
Name:		pysql
Version:	0.14
Release:	4
License:	GPL v2
Group:		Applications/Databases
Source0:	http://dl.sourceforge.net/pysql/%{name}-%{version}.tar.gz
# Source0-md5:	cfaef3afa0d7eaef2074f48b2a9df238
URL:		http://pysql.sourceforge.net/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-cx_Oracle
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PySQL aim to be a full (and much more) replacement for sqlplus. Some
ideas behind PySQL:
- really usable and not painful (history, completion, line edition...)
- high level function often used (search for tables, indexes, count,
  explain plan, list of sessions...)
- proper output for screen and file (csv ready for inclusion in
  spreadsheets)
- user defined macro ?

%description -l pl.UTF-8
PySQL jest w zamierzeniu pełnym (a nawet o wiele lepszym) zamiennikiem
narzędzia sqlplus. Niektóre idee PySQL-a:
- prawdziwa użyteczność bez bólu (historia, dopełnianie, edycja linii
  poleceń...)
- częste używanie funkcji wysokopoziomowych (wyszukiwanie tabel,
  indeksów, zliczanie, plan explain, lista sesji...)
- właściwe wyjście dla screena i pliku (zgodność z CSV do umieszczania
  w arkuszach kalkulacyjnych)
- zdefiniowane przez użytkownika makro ?

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog* README
%attr(755,root,root) %{_bindir}/*
%dir %{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/%{name}/*.py[co]
%{py_sitescriptdir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pysql.spec,v $
Revision 1.9  2012/05/12 20:20:16  arekm
- release 4

Revision 1.8  2010/07/08 07:59:34  arekm
- release 3

Revision 1.7  2010/04/21 17:07:13  arekm
- release 2

Revision 1.6  2010/04/06 22:21:44  sparky
- BR: python-devel

Revision 1.5  2010/03/11 15:33:05  wiget
- 0.14

Revision 1.4  2009/01/03 20:38:32  baggins
- rel 2

Revision 1.3  2008/04/14 19:37:19  qboosh
- pl, python deps

Revision 1.2  2007-12-20 18:39:58  baggins
- add missing dir

Revision 1.1  2007-12-20 18:39:17  baggins
- initial revision

